### Method

# GIRepository Repository enumerate_versions

since: 2.80

#### Declaration

    char**
    gi_repository_enumerate_versions (
      GIRepository* repository,
      const char* namespace_,
      size_t* n_versions_out
    )

#### Description

Obtain an unordered list of versions (either currently loaded or available) for `namespace_` in this `repository`.

The list is guaranteed to be `NULL` terminated. The `NULL` terminator is not counted in `n_versions_out`.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  GI namespace, e.g. `Gtk`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`n_versions_out`

  Type: `size_t*`

  The number of versions returned.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

The array of versions.

The length of the array is in the `n_versions_out` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.